From 2c8b7cc51f8f88b22f97d435be1c84cec48d89f2 Mon Sep 17 00:00:00 2001
From: Alexey Zapparov <alexey@zapparov.com>
Date: Wed, 21 Dec 2022 23:15:58 +0100
Subject: [PATCH] Remove time-0.1.x dependency

Bug: https://bugs.gentoo.org/864034
See: RUSTSEC-2020-0071 <https://rustsec.org/advisories/RUSTSEC-2020-0071>
See: Upstream Fix Proposal <https://github.com/starship/starship/pull/4750>
Signed-off-by: Alexey Zapparov <alexey@zapparov.com>
---
 Cargo.lock | 26 ++++----------------------
 Cargo.toml |  2 +-
 2 files changed, 5 insertions(+), 23 deletions(-)

diff --git a/Cargo.lock b/Cargo.lock
index db71a4ca..f03af8f7 100644
--- a/Cargo.lock
+++ b/Cargo.lock
@@ -316,7 +316,6 @@ dependencies = [
  "js-sys",
  "num-integer",
  "num-traits",
- "time 0.1.44",
  "wasm-bindgen",
  "winapi",
 ]
@@ -1006,7 +1005,7 @@ dependencies = [
  "bstr 1.0.1",
  "itoa",
  "thiserror",
- "time 0.3.14",
+ "time",
 ]
 
 [[package]]
@@ -1635,7 +1634,7 @@ dependencies = [
  "dirs-next",
  "objc-foundation",
  "objc_id",
- "time 0.3.14",
+ "time",
 ]
 
 [[package]]
@@ -2645,7 +2644,7 @@ checksum = "8c0ea0c68418544f725eba5401a5b965a2263254c92458d04aeae74e9d88ff4e"
 dependencies = [
  "const_format",
  "is_debug",
- "time 0.3.14",
+ "time",
 ]
 
 [[package]]
@@ -2862,7 +2861,7 @@ dependencies = [
  "lazy_static",
  "libc",
  "nom 7.1.1",
- "time 0.3.14",
+ "time",
  "winapi",
 ]
 
@@ -2990,17 +2989,6 @@ dependencies = [
  "syn",
 ]
 
-[[package]]
-name = "time"
-version = "0.1.44"
-source = "registry+https://github.com/rust-lang/crates.io-index"
-checksum = "6db9e6914ab8b1ae1c260a4ae7a49b6c5611b40328a735b21862567685e73255"
-dependencies = [
- "libc",
- "wasi 0.10.0+wasi-snapshot-preview1",
- "winapi",
-]
-
 [[package]]
 name = "time"
 version = "0.3.14"
@@ -3266,12 +3254,6 @@ version = "0.9.0+wasi-snapshot-preview1"
 source = "registry+https://github.com/rust-lang/crates.io-index"
 checksum = "cccddf32554fecc6acb585f82a32a72e28b48f8c4c1883ddfeeeaa96f7d8e519"
 
-[[package]]
-name = "wasi"
-version = "0.10.0+wasi-snapshot-preview1"
-source = "registry+https://github.com/rust-lang/crates.io-index"
-checksum = "1a143597ca7c7793eff794def352d41792a93c481eb1042423ff7ff72ba2c31f"
-
 [[package]]
 name = "wasi"
 version = "0.11.0+wasi-snapshot-preview1"
diff --git a/Cargo.toml b/Cargo.toml
index 25202824..c9123cae 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -42,7 +42,7 @@ git-repository-max-perf = ["git-features/zlib-ng", "git-repository/fast-sha1"]
 git-repository-faster = ["git-features/zlib-stock", "git-repository/fast-sha1"]
 
 [dependencies]
-chrono = { version = "0.4.22", features = ["clock", "std"] }
+chrono = { version = "0.4.22", default-features = false, features = ["clock", "std", "wasmbind"] }
 clap = { version = "4.0.15", features = ["derive", "cargo", "unicode"] }
 clap_complete = "4.0.2"
 dirs-next = "2.0.0"
-- 
2.38.2

